Subject: bug#70217: [PATCH] Add substring-partial-completion style

From: Eli Zaretskii <[email-masked]>
Date: Tue, 28 May 2024 21:36:41 +0300

> From: Spencer Baugh <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Tue, 28 May 2024 14:16:30 -0400
> 
> > and (b) please do not use examples with repeated characters, because
> > they can lead readers to make the wrong conclusions due to accidental
> > situations.  For example, AFAIU valid candidates for "b*/c*" include
> > "bcdxyz/c1234" and also "b/x/y/z/c/1/2/3", but readers might
> > mistakenly think that "b*" stands for a string made only of "b", or
> > that there can be only one slash and it must precede "c".  Avoiding
> > repeated characters prevents such misunderstandings.
> 
> Excellent point, fixed.

Thanks.

> > But please (a) don't use "glob" and file wildcard notation, use
> > regexps instead;
> 
> True, I removed the word "glob", I agree that's confusing since
> e.g. [a-z] or {foo,bar} are valid globs but not valid in
> partial-completion.
> 
> Note however that "*" is literally valid syntax with partial-completion,
> where as the regexp notation (".*") is not.  The partial-completion
> documentation already mentions this in (info "(emacs) Completion
> Styles").  So I slightly reworded it and continued using "*".

Please don't.  I really meant what I wrote: "glob" is confusing to
users, because of the file-name wildcards connotation.

The natural way of describing string patterns in Emacs is regular
expressions, not globs.